#![feature(test)]
extern crate games;
extern crate test;

mod black_jack {
    use games::blackjack::*;
    use crate::test::Bencher;

    #[bench]
    fn new_game(b: &mut Bencher) {
        b.iter(move || {
            BlackJack::new(None);
        })
    }
    #[bench]
    fn new_freeze_defreze(b: &mut Bencher) {
        b.iter(move || {
            BlackJack::dethaw(BlackJack::new(None).freeze()).expect("Should always dethaw")
        })
    }
    #[bench]
    fn hit_n_finish(b: &mut Bencher) {
        b.iter(move|| {
            let mut bj = BlackJack::new(None);
            bj.player_hit().expect("Shouldnt fail");
            bj.finish()
        })
    }
}

mod coin_toss {
    use games::coin_toss::*;
    use crate::test::Bencher;
    #[bench]
    fn new_game(b: &mut Bencher) {
        b.iter(|| {
            let _: bool = CoinToss::guess("h").expect("Shouldnt fail").into();
            })
    }
}

mod rps_game {
    use crate::test::Bencher;
    use games::rps::*;

    #[bench]
    fn bench_rps(b: &mut Bencher) {
        b.iter(|| RpsGame::new("rock").expect("Should Fail").result())
    }
}
mod slot_machine {
    use games::slot_machine::SlotMachine;
    use crate::test::Bencher;

    #[bench]
    fn test_slot_machine(b: &mut Bencher) {
        b.iter(|| {
            SlotMachine::new()
        })
    }
}