//! BlackJack
//! Your typical BlackJack game
//! ```
//! use games::blackjack::{BlackJack, GameState};
//! let mut bj = BlackJack::new();
//! bj.player_hit().is_ok(); // Make a move
//!                          // Game can be frozen with `bj.freeze()`;
//!                          // And can be dethawed with `BlackJack::Dethaw`
//! match bj.finish() {
//!     GameState::PlayerWon => println!("You win!"),
//!     GameState::PlayerLost => println!("You lose!"),
//!     _ => unreachable!(),
//! }
//! ```

pub mod errors;
mod game;
mod hand;

pub use self::game::{BlackJack, GameState};
